%define upstream_name Subclass-Of
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Import a magic subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Subclass/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Sub::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Load a class, creating a subclass of it with additional roles (Moose,
Mouse, Moo and Role::Tiny should all work) and/or additional methods, and
providing a lexically-scoped alias for the subclass.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1813599
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 tv <tv> 0.9.0-1.mga8
+ Revision: 1647476
- update to 0.009

* Sat Feb 15 2020 umeabot <umeabot> 0.8.0-2.mga8
+ Revision: 1523310
- Mageia 8 Mass Rebuild

* Fri Mar 01 2019 tv <tv> 0.8.0-1.mga7
+ Revision: 1370621
- update to 0.008

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1286218
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.7.0-2.mga7
+ Revision: 1166665
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.7.0-1.mga7
+ Revision: 1160851
- update to 0.007

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1033476
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967957
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 850901
- imported package perl-Subclass-Of

